gstreamermm: Gst::Queue Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::Queue Class Reference
[gstreamermm Plugins]

A Wrapper for the queue plugin. More...

Inherits Gst::Element.

Collaboration diagram for Gst::Queue:
[legend]

List of all members.

## Public Member Functions
virtual | ~Queue ()
GstQueue* | gobj ()
| Provides access to the underlying C GObject.
const GstQueue* | gobj () const
| Provides access to the underlying C GObject.
GstQueue* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly < guint > | property_current_level_buffers () const
| Current number of buffers in the queue.
Glib::PropertyProxy_ReadOnly < guint > | property_current_level_bytes () const
| Current amount of data in the queue (bytes).
Glib::PropertyProxy_ReadOnly < guint64 > | property_current_level_time () const
| Current amount of data in the queue (in ns).
Glib::PropertyProxy< guint > | property_max_size_buffers ()
| Max.
Glib::PropertyProxy_ReadOnly < guint > | property_max_size_buffers () const
| Max.
Glib::PropertyProxy< guint > | property_max_size_bytes ()
| Max.
Glib::PropertyProxy_ReadOnly < guint > | property_max_size_bytes () const
| Max.
Glib::PropertyProxy< guint64 > | property_max_size_time ()
| Max.
Glib::PropertyProxy_ReadOnly < guint64 > | property_max_size_time () const
| Max.
Glib::PropertyProxy< guint > | property_min_threshold_buffers ()
| Min.
Glib::PropertyProxy_ReadOnly < guint > | property_min_threshold_buffers () const
| Min.
Glib::PropertyProxy< guint > | property_min_threshold_bytes ()
| Min.
Glib::PropertyProxy_ReadOnly < guint > | property_min_threshold_bytes () const
| Min.
Glib::PropertyProxy< guint64 > | property_min_threshold_time ()
| Min.
Glib::PropertyProxy_ReadOnly < guint64 > | property_min_threshold_time () const
| Min.
Glib::PropertyProxy < Gst::QueueLeaky > | property_leaky ()
| Where the queue leaks, if at all.
Glib::PropertyProxy_ReadOnly < Gst::QueueLeaky > | property_leaky () const
| Where the queue leaks, if at all.
Glib::SignalProxy0< void > | signal_underrun ()
Glib::SignalProxy0< void > | signal_running ()
Glib::SignalProxy0< void > | signal_overrun ()
Glib::SignalProxy0< void > | signal_pushing ()
## Static Public Member Functions
static Glib::RefPtr< Queue > | create ()
| Creates a new queue plugin with a unique name.
static Glib::RefPtr< Queue > | create (const Glib::ustring& name)
| Creates a new queue plugin with the given name.
## Protected Member Functions
| Queue ()
| Queue (const Glib::ustring& name)
virtual void | on_underrun ()
virtual void | on_running ()
virtual void | on_overrun ()
virtual void | on_pushing ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::Queue > | wrap (GstQueue* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the queue plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::Queue::~Queue | ( |  | ) | `[virtual]`

Gst::Queue::Queue | ( |  | ) | `[protected]`

Gst::Queue::Queue | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Queue> Gst::Queue::create | ( |  | ) | `[static]`

Creates a new queue plugin with a unique name.

static Glib::RefPtr<Queue> Gst::Queue::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new queue plugin with the given name.

const GstQueue* Gst::Queue::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstQueue* Gst::Queue::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstQueue* Gst::Queue::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

virtual void Gst::Queue::on_overrun | ( |  | ) | `[protected, virtual]`

virtual void Gst::Queue::on_pushing | ( |  | ) | `[protected, virtual]`

virtual void Gst::Queue::on_running | ( |  | ) | `[protected, virtual]`

virtual void Gst::Queue::on_underrun | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<guint> Gst::Queue::property_current_level_buffers | ( |  | ) | const

Current number of buffers in the queue.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::Queue::property_current_level_bytes | ( |  | ) | const

Current amount of data in the queue (bytes).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint64> Gst::Queue::property_current_level_time | ( |  | ) | const

Current amount of data in the queue (in ns).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gst::QueueLeaky> Gst::Queue::property_leaky | ( |  | ) |

Where the queue leaks, if at all.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gst::QueueLeaky> Gst::Queue::property_leaky | ( |  | ) | const

Where the queue leaks, if at all.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::Queue::property_max_size_buffers | ( |  | ) |

Max.

number of buffers in the queue (0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::Queue::property_max_size_buffers | ( |  | ) | const

Max.

number of buffers in the queue (0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::Queue::property_max_size_bytes | ( |  | ) |

Max.

amount of data in the queue (bytes, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::Queue::property_max_size_bytes | ( |  | ) | const

Max.

amount of data in the queue (bytes, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint64> Gst::Queue::property_max_size_time | ( |  | ) | const

Max.

amount of data in the queue (in ns, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint64> Gst::Queue::property_max_size_time | ( |  | ) |

Max.

amount of data in the queue (in ns, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::Queue::property_min_threshold_buffers | ( |  | ) | const

Min.

number of buffers in the queue to allow reading (0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::Queue::property_min_threshold_buffers | ( |  | ) |

Min.

number of buffers in the queue to allow reading (0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::Queue::property_min_threshold_bytes | ( |  | ) | const

Min.

amount of data in the queue to allow reading (bytes, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::Queue::property_min_threshold_bytes | ( |  | ) |

Min.

amount of data in the queue to allow reading (bytes, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint64> Gst::Queue::property_min_threshold_time | ( |  | ) |

Min.

amount of data in the queue to allow reading (in ns, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint64> Gst::Queue::property_min_threshold_time | ( |  | ) | const

Min.

amount of data in the queue to allow reading (in ns, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy0< void > Gst::Queue::signal_overrun | ( |  | ) |

Prototype:
  `void on_my_overrun()`

Glib::SignalProxy0< void > Gst::Queue::signal_pushing | ( |  | ) |

Prototype:
  `void on_my_pushing()`

Glib::SignalProxy0< void > Gst::Queue::signal_running | ( |  | ) |

Prototype:
  `void on_my_running()`

Glib::SignalProxy0< void > Gst::Queue::signal_underrun | ( |  | ) |

Prototype:
  `void on_my_underrun()`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::Queue > wrap | ( | GstQueue * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/queue.h